Page 59 of 59 FirstFirst ... 949575859
Results 581 to 586 of 586

Thread: HOWTO: installation of e17 from SVN code

  1. #581
    Join Date
    Dec 2010
    Beans
    12

    Re: HOWTO: installation of e17 from SVN code

    I really like E17. The repos are completely 404'd now. Can someone make an easy guide for compiling and installing from SVN? Or better yet, a PPA to do it for us?

  2. #582
    Join Date
    Feb 2009
    Location
    Netherlands
    Beans
    784

    Re: HOWTO: installation of e17 from SVN code

    this is easy, isn't it? Or try bodhi.

  3. #583
    Join Date
    Mar 2007
    Location
    $HOME (Washington State)
    Beans
    4,590

    Re: HOWTO: installation of e17 from SVN code

    I just wanted to stop by and say that this should really be closed. The Cafelinux site went completely dead a while ago and I couldn't keep my server stable so I just shut it down as well. When Rui Pais left the project, it really died. As Vcoolio pointed out, there are better alternatives anyway.
    See my themes here! | Dont preach Linux, mention it | Make GNOME Themes
    I'm no longer on here. If you want to talk to me, go to noost.org.
    My DeviantArt | Linux user #461096 | Ubuntu user #15753

  4. #584
    Join Date
    Aug 2007
    Beans
    18

    Re: HOWTO: installation of e17 from SVN code

    Hello
    I've used easy_e17 script to compile e17 svn on ubuntu 10.04.3.
    I've got several dependencies errors that I've solved with this topic, but now I got this error:
    Code:
    ------------------------------ Installing packages -----------------------------
    - eina ....................... previously installed
    - eet ........................ previously installed
    - evas ....................... previously installed
    - ecore ...................... previously installed
    - efreet ..................... previously installed
    - eio ........................ previously installed
    - eeze ....................... previously installed
    - e_dbus ..................... previously installed
    - embryo ..................... previously installed
    - edje ....................... autogen: ERROR!
    --------------------------------------------------------------------------------
    
    ----------------------------------- Last loglines ------------------------------
    -------------------------------------------------------------------------------
    EASY_E17 1.4.0 CMD: ./autogen.sh --prefix=/opt/e17  
    -------------------------------------------------------------------------------
    rm: impossibile rimuovere "autom4te.cache/output.0": Permesso negato
    rm: impossibile rimuovere "autom4te.cache/traces.1": Permesso negato
    rm: impossibile rimuovere "autom4te.cache/traces.0": Permesso negato
    rm: impossibile rimuovere "autom4te.cache/requests": Permesso negato
    rm: impossibile rimuovere "autom4te.cache/output.1": Permesso negato
    Running aclocal...
    autom4te: cannot open autom4te.cache/requests: Permesso negato
    aclocal: autom4te failed with exit status: 1
    --------------------------------------------------------------------------------
    Google search didn't help me. Have you any ideas?
    Thanks

    ps: I apologize if I'm off topic, if necessary I'll open a new one

  5. #585
    Join Date
    Feb 2009
    Location
    Netherlands
    Beans
    784

    Re: HOWTO: installation of e17 from SVN code

    Better start new topic, this one is all but closed. Anyway, a list of dependencies to build e on ubuntu:
    Code:
    apt-get install automake gcc make subversion pkg-config build-essential libtool doxygen zlib1g-dev libjpeg8 libjpeg8-dev libfreetype6-dev libudev-dev libdbus-1-dev liblua5.1-0-dev libxml2-dev libxext-dev libxrandr-dev dbus-x11 libxcomposite-dev libxcomposite1 libxdamage-dev libxdamage1 libxkbfile-dev libxkbfile1 libxkbfile-dev libxkbfile1 libxinerama-dev libxcursor-dev libxslt1-dev gettext mesa-common-dev libiptcdata-dev libexif-dev libpam-dev flex bison byacc libsdl1.2-dev
    You should run the script without sudo; then it will ask for the sudo password itself and build stuff as user and only install as root. The build dirs will then be in ~/e17_src; if you ran the script with sudo before, you can "sudo rm -r /root/e17_src" (btw, always be careful with rm -r).
    Try to "make clean distclean" inside the edje folder before trying again, or let the script do it: easy_e17.sh -c -c --only=edje.
    Also make sure everything has the same svn revision. So for example check what revision is current (something like 62695) and then run the script like "easy_e17.sh --srcrev=62695 -i".
    These are just general tips; your error sounds like it may not be solved by the above (except the run without sudo part maybe).

  6. #586
    Join Date
    Apr 2009
    Location
    Pacific Northwest USA
    Beans
    Hidden!

    Re: HOWTO: installation of e17 from SVN code

    Quote Originally Posted by Rui Pais View Post

    Essentially, what I propose is, reduce the number of available e apps to a minimum stable core, that gives the environment,
    and use apps more stable to the common tasks like file-manager, terminal, etc., available at repos.



    INSTALLATION
    Add the following repos to your /etc/apt/sources.list:


    To do it automatically, copy+paste the above to a command line:
    Code:
     sudo sh -c "echo 'deb http://cafelinux.org/Downloads/oz-os tinwoodman main' >> /etc/apt/sources.list"
    and add the authenticated key with:
    Code:
    wget -q http://cafelinux.org/Downloads/oz-os/key.asc -O- | sudo apt-key add -
    I get this message with that URL:

    Oops! Google Chrome could not find cafelinux.org
    I think this thread may be obsolete?
    "Mind what you have learned. Save you it can." ~ Yoda

Page 59 of 59 FirstFirst ... 949575859

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •